.xx--cookie-consent .cc-document-blocker {
    z-index: 9998;
    opacity: 1;
}

.xx--cookie-consent *::before, .xx--cookie-consent *::after {
    box-sizing: border-box;
}

.cc-document-blocker {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(50, 50, 50, .8);
    z-index: -1;
    opacity: 0;
    -webkit-transition: opacity .4s;
    transition: opacity .4s;
}


.xx--cookie-consent .cc-revoke,
.cc-revoke,
.xx--cookie-consent .cc-window,
.cc-window {
    font-family: inherit;
    -webkit-box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.2);
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.cc-window {
    width: 100%;
    max-height: 100%;
    overflow: auto;
    font-size: inherit;
}

.cc-window * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.cc-window label {
    color: inherit;
}

.cc-window.cc-floating {
    max-width: 480px !important;
    top: auto !important;
    left: 1em !important;
    right: 1em !important;
    bottom: 1em !important;
    width: auto !important;
}


.cc-close:before {
    content: '×';
    display: block;
}

.cc-brand-image {
    display: none;
}

.cc-done:before {
    display: inline-block;
    content: '';
    width: 7px;
    height: 12px;
    border: solid #000;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    margin-right: 5px;
    border-color: inherit;
}

.cc-outer-wrap {
    width: 1240px;
    max-width: 100%;
    margin: auto;
    display: flex;
}

.cc-outer-wrap {
    padding-top: 1.5em;
}

.cc-floating .cc-outer-wrap {
    flex-wrap: wrap;
}

.cc-w-content,
.cc-w-compliance {
    padding: 0 1.5em;
}

.cc-w-content {
    flex: 1 1 auto;
}

.cc_text_component,
.cc_option_component,
.cc_detail_component {
    position: relative;
    width: 100%;
}

.xx--cookie-consent .cc-window .cc-message {
    padding: 0;
    margin: 0;
    margin-bottom: 1em;
}


/* Compliance */
.cc-w-compliance {
    overflow: hidden;
    max-width: 100%;
    padding-bottom: 1em;
}

.cc-theme-edgeless .cc-w-compliance {
    padding-bottom: 0;
}

.cc-banner .cc-w-compliance {
    min-width: 300px;
}

.cc-floating .cc-w-compliance {
    min-width: 100%;
}

.cc-compliance {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-left: -.5em;
    margin-right: -.5em;
    -ms-flex-line-pack: center;
    align-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    margin-bottom: -.5em;
}

.cc-theme-edgeless .cc-compliance {
    margin-left: 0;
    margin-right: 0;
}

.cc-window .cc-compliance .cc-btn {
    margin: 0 .5em .5em .5em;
    -webkit-box-flex: 0;
    -ms-flex: 1 0 auto;
    flex: 1 0 auto;
    font-size: 1em;
    max-width: 100%;
    white-space: normal;
    flex-basis: auto
}

.cc-compliance .cc-btn:hover {
    opacity: 0.7;
}

.cc-theme-edgeless .cc-compliance .cc-btn {
    margin: 0;
    margin-bottom: .5em;
    height: auto;
}

.cc-floating .cc-compliance .cc-btn {
    white-space: nowrap;
}


.cc-cookie-usecases {
    margin-bottom: 1em;
    width: 100%;
}

/* Table reset*/
table.cc-usecase-table,
table.cc-usecase-table tbody,
table.cc-usecase-table tr,
table.cc-usecase-table td,
table.cc-usecase-table th,
table.cc-list-table,
table.cc-list-table tbody,
table.cc-list-table tr,
table.cc-list-table td,
table.cc-list-table th {
    background: transparent !important;
    color: inherit;
    padding: 0;
    font-size: inherit;
    border: none;
    font-weight: normal;
    font-style: normal;
    text-align: left;
}

table.cc-usecase-table td,
table.cc-usecase-table th,
table.cc-list-table td,
table.cc-list-table th {
    border-bottom: 1px solid rgba(100, 100, 100, .2);
    padding-right: 5px;
    padding-top: 4px;
    padding-bottom: 4px;
}

table.cc-usecase-table th,
table.cc-list-table th {
    font-weight: bold;
}


table.cc-usecase-table {
    width: 100%;
    table-layout: fixed;
}

table.cc-list-table {
    width: 100%;
    margin-bottom: 30px;
}

table.cc-list-table .cc-list-header {
    font-size: 1.1em;
    vertical-align: bottom;
}

.cc-list-details {
    display: none;
}

.cc-list-details.active {
    display: table-row;
}

.cc-list-details-table {
    width: 100%;
    margin-bottom: 15px;
}

table.cc-list-details-table th {
    color: #999;
}


.cc-usecase-accordion,
.cc-usecase-accordion:hover,
.cc-usecase-accordion:active,
.cc-usecase-accordion:focus {
    color: inherit;
}

/* Style the buttons that are used to open and close the accordion panel */
.cc-usecase-accordion {
    cursor: pointer;
    width: 100%;
    text-align: left;
    border: none;
    outline: none;
    -webkit-transition: 0.4s;
    transition: 0.4s;
    padding: .2em .5em;
    background-color: rgba(100, 100, 100, .2);
    margin: 0;
    display: block;
    color: inherit;
    position: relative;
    padding-left: 1.5em;
}


.cc-usecase-accordion:before {
    border-style: solid;
    border-width: 2px 2px 0 0;
    content: '';
    display: inline-block;
    height: 0.45em;
    left: 0.5em;
    position: absolute;
    top: 0.75em;

    vertical-align: top;
    width: 0.45em;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
.cc-usecase-accordion.active,
.cc-usecase-accordion.accordion:hover {
    background-color: rgba(100, 100, 100, .5)
}

/* Style the accordion panel. Note: hidden by default */
.cc-usecase-accordion-panel {
    padding: 10px;
    display: none;
    overflow: hidden;
    background: rgba(100, 100, 100, .3)
}

.cc-usecase-accordion-panel.empty {
    padding: 0;
}

.cc-usecases-show-label {
    font-weight: inherit;
    text-decoration: underline;
    cursor: pointer;
    text-align: center;
    margin: 0;
}

#cc-usecases-show {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.cc-usecase-info {
    background-color: rgba(100, 100, 100, .2);
    padding: 10px;
}

.cc-usecase-info dt {
    font-weight: 700;
}

.cc-usecase-info dd {
    margin-bottom: 0.5rem;
    margin-left: 0;
}

.cc-details-content {
    display: none;
}

.cc-details-content.active {
    display: block;
}

.cc-usecases-overview {
    margin-top: .5em;
}

.cc-breakword {
    word-wrap: break-word;
}

.cc-details-wrap {
    margin-bottom: 1em;
}


/*Switch*/
.xx--cookie-check {
    margin-bottom: .5rem;
    width: 100%;
    display: flex;
}

.xx--cookie-check.cc-align-items-horizontal {
    flex-direction: row;
    flex-wrap: wrap;
}

.xx--cookie-check.cc-align-items-horizontal .cc-switch {
    flex: 1 1 0;
    max-width: 100%;

}

.cc-banner .xx--cookie-check.cc-align-items-horizontal .cc-switch {
    min-width: 400px;
}


.xx--cookie-check.cc-align-items-vertical {
    flex-direction: column;
}

.cc-switch {
    margin-bottom: .5em;
    position: relative;
    padding-right: 20px;
    max-width: 100%;
}

.cc-switch-toggle {
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
}

/*Switch Toggle*/
.cc-switch.toggle {
    padding: 0;
    display: block;
    margin: 0;
    margin-bottom: .5em;
    text-overflow: ellipsis;
/ / min-width: 130 px;
    max-width: 100%;
    padding-left: 70px;
    min-height: 34px;
}

.cc-switch.toggle::after {
    display: block;
    clear: both;
    content: "";
}

.cc-switch input {
    opacity: 0;
    width: 0;
    height: 0;
    position: absolute;
}

.cc-switch.toggle .cc-switch-toggle {
    display: block;
    cursor: pointer;
    height: 34px;
    width: 60px;
    background-color: #e6e6e6;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 34px;
}

.cc-switch.toggle .cc-switch-toggle:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 50%;
}

.cc-switch.toggle input:checked + .cc-switch-toggle {
    background-color: #28a745;
}

.cc-switch.toggle input:checked ~ .cc-group-info.cc-group-name::after {
    color: #28a745;
    content: attr(data-active);
    font-weight: normal;
    display: block;
    font-size: .8em;
    line-height: .8em;
}

.cc-switch.toggle input:checked + .cc-switch-toggle:before {
    -webkit-transform: translateX(26px);
    transform: translateX(26px);
}

.cc-switch.toggle input:focus-visible + .cc-switch-toggle {
    outline: 2px dashed #193c61 !important;
}

.cc-switch.toggle input:disabled + .cc-switch-toggle {
    opacity: .5;
}

/*Switch Checkbox*/
.cc-switch.checkbox {
    padding-left: 30px;
    position: relative;
}

.cc-switch.checkbox .cc-switch-toggle {
    display: inline-block;
    vertical-align: top;
    position: absolute;
    top: -1px;
    left: 0;
    cursor: pointer;
    height: 24px;
    width: 24px;
    border: 2px solid #e6e6e6;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 2px;
}

.cc-switch.checkbox input:disabled + .cc-switch-toggle {
    background-color: #e6e6e6;
}

.cc-switch.checkbox .cc-switch-toggle:after {
    content: "";
    position: absolute;
    display: none;
    -webkit-transition: border-color .3s;
    transition: border-color .3s;
    left: 7px;
    top: 3px;
    width: 7px;
    height: 12px;
    border: solid rgba(0, 0, 0, .5);
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

.cc-switch.checkbox input:checked + .cc-switch-toggle:after {
    display: block;
}

.cc-switch.checkbox input:not(:disabled):checked + .cc-switch-toggle {
    border-color: #28a745;
}

.cc-switch.checkbox input:not(:disabled):checked + .cc-switch-toggle:after {
    border-color: #28a745;
}

.cc-switch.toggle input:focus-visible + .cc-switch-toggle {
    outline: 2px dashed #193c61 !important;
}


.cc-group-name {
    font-weight: bold;
    font-size: 1.2em;
    line-height: 1.1em;
    display: block;
}

.cc-group-description {
    display: block;
    font-weight: normal;
    font-size: 0.875em;
    line-height: 1.4em;
}

.cc-group-info {
    pointer-events: none;
}


.cc-link.cc-toggle:before {
    border-style: solid;
    border-width: 2px 2px 0 0;
    content: '';
    display: inline-block;
    height: 0.45em;
    left: 0.15em;
    position: absolute;
    top: 50%;
    margin-top: -.25em;

    vertical-align: top;
    width: 0.45em;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

.cc-link.cc-toggle {
    font-size: 1.1em;
    padding-left: 1em;
    position: relative;
}

.cc-add-info {
    width: 100%;
    margin-bottom: .5em;
}
